Bug 1436071 - subnet-delete fails when more than one dhcp ports are available
Summary: subnet-delete fails when more than one dhcp ports are available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 11.0 (Ocata)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: 11.0 (Ocata)
Assignee: anil venkata
QA Contact: GenadiC
URL:
Whiteboard:
Depends On: 1431026 1436067 1436068
Blocks: 1381612
TreeView+ depends on / blocked
 
Reported: 2017-03-27 05:24 UTC by anil venkata
Modified: 2018-12-24 14:43 UTC (History)
16 users (show)

Fixed In Version: openstack-neutron-10.0.1-1.el7ost
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of: 1436068
Environment:
Last Closed: 2017-05-17 20:13:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 445996 None None None 2017-03-27 05:24:33 UTC
Red Hat Knowledge Base (Solution) 2963151 None None None 2017-03-27 05:24:33 UTC

Comment 4 Ihar Hrachyshka 2017-03-29 16:35:22 UTC
I just noticed that the patch was marked as Related not Resolves for the bug. Moving back to ON_DEV and asking the owner to comment.

Comment 5 anil venkata 2017-03-30 06:30:34 UTC
It was a mistake. It completely resolves this bug, so it should have been "Resolves" and "not Related".

Comment 6 anil venkata 2017-04-12 08:14:42 UTC
The fix wee provided with openstack-neutron-10.0.0-13.el7ost is causing some other issue, so we will revert it and provide alternate fix u/s https://review.openstack.org/#/c/454832/ Please see below comments

https://bugzilla.redhat.com/show_bug.cgi?id=1431026#c22
https://bugzilla.redhat.com/show_bug.cgi?id=1431026#c26

Comment 11 GenadiC 2017-05-03 09:10:45 UTC
Verified on openstack-neutron-10.0.1-1.el7ost.noarch
Deleting subnet with 3 ports succeeds

Comment 12 errata-xmlrpc 2017-05-17 20:13:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.